summaryrefslogtreecommitdiffstats
path: root/openwrt/package/ntpclient/files
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-11-07 01:12:51 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-11-07 01:12:51 +0000
commit5dfad9395848f74699752473b825635c30fb5567 (patch)
tree523205d7071063e42f742aeabadd523f78b8504f /openwrt/package/ntpclient/files
parentbdd94763c1c3c236e2bd8b2282dad526e08bbb66 (diff)
add hotplug stuff to trunk/
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@2364 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/ntpclient/files')
-rw-r--r--openwrt/package/ntpclient/files/ntpclient.init11
1 files changed, 10 insertions, 1 deletions
diff --git a/openwrt/package/ntpclient/files/ntpclient.init b/openwrt/package/ntpclient/files/ntpclient.init
index 923022bfc..2ad4beb77 100644
--- a/openwrt/package/ntpclient/files/ntpclient.init
+++ b/openwrt/package/ntpclient/files/ntpclient.init
@@ -1,2 +1,11 @@
#!/bin/sh
-/usr/sbin/ntpclient -c 1 -s -h pool.ntp.org &
+server=$(nvram get ntp_server)
+case "$ACTION" in
+ ifup)
+ ps x | grep '[n]tpclient' >&- || {
+ route -n 2>&- | grep '0.0.0.0' >&- && /usr/sbin/ntpclient -c 1 -s -h ${server:-pool.ntp.org} &
+ }
+ ;;
+ ifdown)
+ route -n 2>&- | grep '0.0.0.0' >&- || killall ntpclient 2>&- >&- ;;
+esac